> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bigcapital.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Get payable aging summary



## OpenAPI

````yaml api-reference/openapi.json get /api/reports/payable-aging-summary
openapi: 3.0.0
info:
  title: Bigcapital
  description: Financial accounting software
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /api/reports/payable-aging-summary:
    get:
      tags:
        - Reports
      summary: Get payable aging summary
      operationId: APAgingSummaryController_get
      parameters:
        - name: Authorization
          in: header
          description: >-
            Value must be 'Bearer <token>' where <token> is an API key prefixed
            with 'bc_' or a JWT token.
          required: true
          schema:
            type: string
            example: Bearer bc_1234567890abcdef
        - name: organization-id
          in: header
          description: >-
            Required if Authorization is a JWT token. The organization ID to
            operate within.
          required: true
          schema:
            type: string
        - name: agingDaysBefore
          required: false
          in: query
          description: Number of days before the aging period starts
          schema:
            example: 30
            type: number
        - name: agingPeriods
          required: false
          in: query
          description: Number of aging periods to calculate
          schema:
            example: 4
            type: number
        - description: Number of decimal places to display
          required: false
          name: precision
          in: query
          schema:
            example: 2
            type: number
        - description: Whether to divide the number by 1000
          required: false
          name: divideOn1000
          in: query
          schema:
            example: false
            type: boolean
        - description: Whether to show zero values
          required: false
          name: showZero
          in: query
          schema:
            type: boolean
            example: true
        - description: How to format money values
          required: false
          name: formatMoney
          in: query
          schema:
            example: total
            enum:
              - total
              - always
              - none
            type: string
        - description: How to format negative numbers
          required: false
          name: negativeFormat
          in: query
          schema:
            example: parentheses
            enum:
              - parentheses
              - mines
            type: string
        - name: noneZero
          required: false
          in: query
          description: Whether to exclude zero values
          schema:
            example: false
            type: boolean
        - name: vendorsIds
          required: false
          in: query
          description: Array of vendor IDs to include
          schema:
            type: array
            items:
              type: string
        - name: accept
          required: true
          in: header
          schema:
            type: string
      responses:
        '200':
          description: A/P aging summary response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/APAgingSummaryResponseDto'
              example:
                data:
                  vendors:
                    - vendor_name: asdasd, asdasd
                      current:
                        amount: 0
                        formatted_amount: ''
                      aging:
                        - from_period: '2025-06-30'
                          to_period: '2025-05-31'
                          before_days: 0
                          to_days: 30
                          total:
                            amount: 0
                            formatted_amount: ''
                        - from_period: '2025-05-31'
                          to_period: '2025-05-01'
                          before_days: 31
                          to_days: 60
                          total:
                            amount: 0
                            formatted_amount: ''
                        - from_period: '2025-05-01'
                          to_period: null
                          before_days: 61
                          to_days: null
                          total:
                            amount: 0
                            formatted_amount: ''
                      total:
                        amount: 0
                        formatted_amount: $0.00
                    - vendor_name: Ahmed Bouhuolia
                      current:
                        amount: 32000
                        formatted_amount: 32,000.00
                      aging:
                        - from_period: '2025-06-30'
                          to_period: '2025-05-31'
                          before_days: 0
                          to_days: 30
                          total:
                            amount: 0
                            formatted_amount: ''
                        - from_period: '2025-05-31'
                          to_period: '2025-05-01'
                          before_days: 31
                          to_days: 60
                          total:
                            amount: 0
                            formatted_amount: ''
                        - from_period: '2025-05-01'
                          to_period: null
                          before_days: 61
                          to_days: null
                          total:
                            amount: 0
                            formatted_amount: ''
                      total:
                        amount: 32000
                        formatted_amount: $32,000.00
                  total:
                    current:
                      amount: 32000
                      formatted_amount: $32,000.00
                    aging:
                      - from_period: '2025-06-30'
                        to_period: '2025-05-31'
                        before_days: 0
                        to_days: 30
                        total:
                          amount: 0
                          formatted_amount: $0.00
                      - from_period: '2025-05-31'
                        to_period: '2025-05-01'
                        before_days: 31
                        to_days: 60
                        total:
                          amount: 0
                          formatted_amount: $0.00
                      - from_period: '2025-05-01'
                        to_period: null
                        before_days: 61
                        to_days: null
                        total:
                          amount: 0
                          formatted_amount: $0.00
                    total:
                      amount: 32000
                      formatted_amount: $32,000.00
                columns:
                  - from_period: '2025-06-30'
                    to_period: '2025-05-31'
                    before_days: 0
                    to_days: 30
                  - from_period: '2025-05-31'
                    to_period: '2025-05-01'
                    before_days: 31
                    to_days: 60
                  - from_period: '2025-05-01'
                    to_period: null
                    before_days: 61
                    to_days: null
                query:
                  as_date: '2025-06-30'
                  aging_days_before: 30
                  aging_periods: 3
                  number_format:
                    precision: 2
                    divide_on1000: false
                    show_zero: false
                    format_money: total
                    negative_format: mines
                  vendors_ids: []
                  branches_ids: []
                  none_zero: false
                meta:
                  organization_name: BIGCAPITAL, INC
                  base_currency: USD
                  date_format: DD MMM yyyy
                  is_cost_compute_running: false
                  sheet_name: A/P Aging Summary
                  formatted_as_date: 2025/06/30
                  formatted_date_range: As 2025/06/30
            application/json+table:
              schema:
                $ref: '#/components/schemas/APAgingSummaryTableResponseDto'
components:
  schemas:
    APAgingSummaryResponseDto:
      type: object
      properties:
        data:
          description: Aging summary data
          allOf:
            - $ref: '#/components/schemas/APAgingSummaryDataDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/APAgingSummaryMetaDto'
      required:
        - data
        - meta
    APAgingSummaryTableResponseDto:
      type: object
      properties:
        table:
          description: Table data structure
          allOf:
            - $ref: '#/components/schemas/FinancialTableDataDto'
        query:
          description: Query parameters used to generate the report
          allOf:
            - $ref: '#/components/schemas/APAgingSummaryQueryResponseDto'
        meta:
          description: Report metadata
          allOf:
            - $ref: '#/components/schemas/APAgingSummaryMetaDto'
      required:
        - table
        - query
        - meta
    APAgingSummaryDataDto:
      type: object
      properties:
        vendors:
          description: Vendors aging data
          type: array
          items:
            $ref: '#/components/schemas/APAgingVendorDto'
        current:
          description: Current total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        aging:
          description: Aging totals
          type: array
          items:
            $ref: '#/components/schemas/APAgingPeriodTotalDto'
        total:
          description: Grand total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - vendors
        - current
        - aging
        - total
    APAgingSummaryMetaDto:
      type: object
      properties:
        organizationName:
          type: string
          description: Organization name
        baseCurrency:
          type: string
          description: Base currency code
        dateFormat:
          type: string
          description: Date format string
        isCostComputeRunning:
          type: boolean
          description: Whether cost computation is running
        sheetName:
          type: string
          description: Sheet name
        formattedAsDate:
          type: string
          description: Formatted as-of date
      required:
        - organizationName
        - baseCurrency
        - dateFormat
        - isCostComputeRunning
        - sheetName
        - formattedAsDate
    FinancialTableDataDto:
      type: object
      properties:
        columns:
          description: Table column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
        rows:
          description: Table row data
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - columns
        - rows
    APAgingSummaryQueryResponseDto:
      type: object
      properties:
        asDate:
          type: string
          description: As-of date
        agingDaysBefore:
          type: number
          description: Aging days before
        agingPeriods:
          type: number
          description: Number of aging periods
        numberFormat:
          description: Number format settings
          allOf:
            - $ref: '#/components/schemas/NumberFormatQueryDto'
        vendorsIds:
          description: Vendor IDs to include
          type: array
          items:
            type: number
        branchesIds:
          description: Branch IDs to include
          type: array
          items:
            type: number
        noneZero:
          type: boolean
          description: Exclude zero balance accounts
      required:
        - asDate
        - agingDaysBefore
        - agingPeriods
        - numberFormat
        - vendorsIds
        - branchesIds
        - noneZero
    APAgingVendorDto:
      type: object
      properties:
        vendorName:
          type: string
          description: Vendor name
        current:
          description: Current balance
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
        aging:
          description: Aging periods
          type: array
          items:
            $ref: '#/components/schemas/APAgingPeriodTotalDto'
        total:
          description: Vendor total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - vendorName
        - current
        - aging
        - total
    FinancialReportTotalDto:
      type: object
      properties:
        amount:
          type: number
          description: Numeric amount
        formattedAmount:
          type: string
          description: Formatted amount string
        currencyCode:
          type: string
          description: Currency code
        date:
          type: object
          description: Date associated with the total
      required:
        - amount
        - formattedAmount
        - currencyCode
    APAgingPeriodTotalDto:
      type: object
      properties:
        fromPeriod:
          type: string
          description: From period date
        toPeriod:
          type: string
          description: To period date
        beforeDays:
          type: number
          description: Before days
        toDays:
          type: number
          description: To days
        total:
          description: Period total
          allOf:
            - $ref: '#/components/schemas/FinancialReportTotalDto'
      required:
        - fromPeriod
        - beforeDays
        - total
    FinancialTableColumnDto:
      type: object
      properties:
        key:
          type: string
          description: Column key
        label:
          type: string
          description: Column header label
        cellIndex:
          type: number
          description: Cell position index
        children:
          description: Nested column definitions
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableColumnDto'
      required:
        - key
        - label
    FinancialTableRowDto:
      type: object
      properties:
        cells:
          description: Cell data for this row
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableCellDto'
        rowTypes:
          description: Row type classifications
          type: array
          items:
            type: string
        id:
          type: object
          description: Row identifier
        children:
          description: Child rows
          type: array
          items:
            $ref: '#/components/schemas/FinancialTableRowDto'
      required:
        - cells
        - rowTypes
        - id
    NumberFormatQueryDto:
      type: object
      properties:
        precision:
          type: number
          description: Number of decimal places to display
          example: 2
        divideOn1000:
          type: boolean
          description: Whether to divide the number by 1000
          example: false
        showZero:
          type: boolean
          description: Whether to show zero values
          example: true
        formatMoney:
          type: string
          description: How to format money values
          example: total
          enum:
            - total
            - always
            - none
        negativeFormat:
          type: string
          description: How to format negative numbers
          example: parentheses
          enum:
            - parentheses
            - mines
    FinancialTableCellDto:
      type: object
      properties:
        key:
          type: string
          description: Cell key
        value:
          type: string
          description: Cell value
      required:
        - key
        - value

````